Subject: Re: git-svnimport: what to do after -i?

From: Steven Walter <[email-masked]>
Date: Wed, 22 Aug 2007 12:58:47 -0400

On Wed, Aug 22, 2007 at 11:33:25AM -0400, Jing Xue wrote:
> 
> I am new to git. Last night I used "git svnimport -i" to import a svn  
> project. It finished successfully. The only problem now is I can't  
> seem to be able to checkout a working copy. In other words, I have a  
> 'projectFoo' directory, with only .git in it, but not any actual  
> working files. "git-branch" shows two branches, master and origin.  
> "git-checkout master" returns successfully, but does nothing.
> 
> I guess that's because I used -i without fully understanding what it  
> implies. Is there any way to checkout a working directory?
> 
> Thanks in advance for any ideas.
> -- 
> Jing Xue

See if "git reset --hard master" doesn't check out the files for you.  I
seem to recall an issue where, after an import, no files were checked
out.  reset fixed it for me.
-- 
-Steven Walter <[email-masked]>
"A human being should be able to change a diaper, plan an invasion,
butcher a hog, conn a ship, design a building, write a sonnet, balance
accounts, build a wall, set a bone, comfort the dying, take orders,
give orders, cooperate, act alone, solve equations, analyze a new
problem, pitch manure, program a computer, cook a tasty meal, fight
efficiently, die gallantly. Specialization is for insects."
   -Robert Heinlein